> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Validation Status For Contractors

> Reports per contractor whether verified current wallets cover 100% of token distribution.

Required scope: `banking:read`

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-wallet-validation-status-for-contractors
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-wallet-validation-status-for-contractors:
    post:
      operationId: getWalletValidationStatusForContractors
      summary: Get Wallet Validation Status For Contractors
      x-toku-required-scope: banking:read
      description: >-
        Reports per contractor whether verified current wallets cover 100% of
        token distribution.


        Required scope: `banking:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GetWalletValidationStatusForContractorsRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetWalletValidationStatusForContractorsResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetWalletValidationStatusForContractorsRequest:
      type: object
      properties:
        roleInOrgIds:
          type: array
          items:
            type: string
          minItems: 1
      required:
        - roleInOrgIds
    GetWalletValidationStatusForContractorsResponse:
      type: object
      properties:
        validationStatus: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
